# utils | Marsho AI
Kawaii, Intelligent and Easy to Extend

Skip to content

# Module `nonebot_plugin_marshoai.plugin.utils` ​

### func `path_to_module_name(path: Path) -> str` ​

Description: 转换路径为模块名

Arguments:

> - path: 路径a/b/c/d -> a.b.c.d

Return: str: 模块名

Source code or View on GitHub
python

    def path_to_module_name(path: Path) -> str:
        rel_path = path.resolve().relative_to(Path.cwd().resolve())
        if rel_path.stem == '__init__':
            return '.'.join(rel_path.parts[:-1])
        else:
            return '.'.join(rel_path.parts[:-1] + (rel_path.stem,))

### func `parse_function_docsring()` ​

Source code or View on GitHub
python

    def parse_function_docsring():
        pass